Bug 1231275 - perl-Devel-Cover-1.18-2.fc23 FTBFS with perl-5.22: tests fail
Summary: perl-Devel-Cover-1.18-2.fc23 FTBFS with perl-5.22: tests fail
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Devel-Cover
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/pjcj/Devel--Cover/...
Whiteboard:
Depends On:
Blocks: 1231888 1231907
TreeView+ depends on / blocked
 
Reported: 2015-06-12 14:27 UTC by Petr Pisar
Modified: 2015-07-07 13:32 UTC (History)
3 users (show)

Fixed In Version: perl-Devel-Cover-1.20-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-07 13:32:41 UTC
Type: Bug


Attachments (Terms of Use)
Build log against Perl 5.22 (392.74 KB, text/plain)
2015-06-12 14:36 UTC, Jitka Plesnikova
no flags Details

Description Petr Pisar 2015-06-12 14:27:43 UTC
perl-Devel-Cover-1.18-2.fc23 fails to build with perl-5.22 because tests fail:

t/e2e/abug_and.t ............ ok
# Test 1 got: 
+----+--------------------------------------------------------------------------------------------------------------------------+--------------------------------------------------------------------------------------------------------------------------+
| Elt|Got                                                                                                                       |Expected                                                                                                                  |
+----+--------------------------------------------------------------------------------------------------------------------------+--------------------------------------------------------------------------------------------------------------------------+
|   0|[                                                                                                                         |[                                                                                                                         |
|   1|  'Reading database from                                                                                                  |  'Reading database from                                                                                                  |
|   2|',                                                                                                                        |',                                                                                                                        |
|   3|  '                                                                                                                       |  '                                                                                                                       |
|   4|',                                                                                                                        |',                                                                                                                        |
|   5|  '                                                                                                                       |  '                                                                                                                       |
|   6|',                                                                                                                        |',                                                                                                                        |
|   7|  '- ------ ------ ------ ------ ------                                                                                   |  '- ------ ------ ------ ------ ------                                                                                   |
|   8|',                                                                                                                        |',                                                                                                                        |
|   9|  'File                                         stmt   bran   cond    sub  total                                          |  'File                                         stmt   bran   cond    sub  total                                          |
|  10|',                                                                                                                        |',                                                                                                                        |
|  11|  '- ------ ------ ------ ------ ------                                                                                   |  '- ------ ------ ------ ------ ------                                                                                   |
|  12|',                                                                                                                        |',                                                                                                                        |
*  13|  'tests/cond_and                               92.3   50.0   50.0  100.0   73.5                                          |  'tests/cond_and                               96.0   50.0   50.0  100.0   75.0                                          *
|  14|',                                                                                                                        |',                                                                                                                        |
*  15|  'Total                                        92.3   50.0   50.0  100.0   73.5                                          |  'Total                                        96.0   50.0   50.0  100.0   75.0                                          *
|  16|',                                                                                                                        |',                                                                                                                        |
|  17|  '- ------ ------ ------ ------ ------                                                                                   |  '- ------ ------ ------ ------ ------                                                                                   |
|  18|',                                                                                                                        |',                                                                                                                        |
|  19|  '                                                                                                                       |  '                                                                                                                       |
|  20|',                                                                                                                        |',                                                                                                                        |
|  21|  '                                                                                                                       |  '                                                                                                                       |
|  22|',                                                                                                                        |',                                                                                                                        |
|  23|  'Run:                                                                                                                   |  'Run:                                                                                                                   |
|  24|',                                                                                                                        |',                                                                                                                        |
|  25|  'Perl version:                                                                                                          |  'Perl version:                                                                                                          |
|  26|',                                                                                                                        |',                                                                                                                        |
|  27|  'OS:                                                                                                                    |  'OS:                                                                                                                    |
|  28|',                                                                                                                        |',                                                                                                                        |
|  29|  'Start:                                                                                                                 |  'Start:                                                                                                                 |
|  30|',                                                                                                                        |',                                                                                                                        |
|  31|  'Finish:                                                                                                                |  'Finish:                                                                                                                |
|  32|',                                                                                                                        |',                                                                                                                        |
|  33|  '                                                                                                                       |  '                                                                                                                       |
|  34|',                                                                                                                        |',                                                                                                                        |
|  35|  'tests/cond_and                                                                                                         |  'tests/cond_and                                                                                                         |
|  36|',                                                                                                                        |',                                                                                                                        |
|  37|  '                                                                                                                       |  '                                                                                                                       |
|  38|',                                                                                                                        |',                                                                                                                        |
|  39|  'line  err   stmt   bran   cond    sub   code                                                                           |  'line  err   stmt   bran   cond    sub   code                                                                           |
|  40|',                                                                                                                        |',                                                                                                                        |
|  41|  '1                                       #!/usr/bin/perl                                                                |  '1                                       #!/usr/bin/perl                                                                |
|  42|',                                                                                                                        |',                                                                                                                        |
|  43|  '2                                                                                                                      |  '2                                                                                                                      |
|  44|',                                                                                                                        |',                                                                                                                        |
|  45|  '3                                       #                                                                              |  '3                                       #                                                                              |
|  46|',                                                                                                                        |',                                                                                                                        |
|  47|  '4                                                                                                                      |  '4                                                                                                                      |
|  48|',                                                                                                                        |',                                                                                                                        |
|  49|  '5                                       # This software is free.  It is licensed under the same terms as Perl itself.  |  '5                                       # This software is free.  It is licensed under the same terms as Perl itself.  |
|  50|',                                                                                                                        |',                                                                                                                        |
|  51|  '6                                                                                                                      |  '6                                                                                                                      |
|  52|',                                                                                                                        |',                                                                                                                        |
|  53|  '7                                       # The latest version of this software should be available from my homepage:    |  '7                                       # The latest version of this software should be available from my homepage:    |
|  54|',                                                                                                                        |',                                                                                                                        |
|  55|  '8                                       # http://www.pjcj.net                                                          |  '8                                       # http://www.pjcj.net                                                          |
|  56|',                                                                                                                        |',                                                                                                                        |
|  57|  '9                                                                                                                      |  '9                                                                                                                      |
|  58|',                                                                                                                        |',                                                                                                                        |
|  59|  '10             1                    1   use strict;                                                                    |  '10             1                    1   use strict;                                                                    |
|  60|',                                                                                                                        |',                                                                                                                        |
|  61|  '               1                                                                                                       |  '               1                                                                                                       |
|  62|',                                                                                                                        |',                                                                                                                        |
|  63|  '               1                                                                                                       |  '               1                                                                                                       |
|  64|',                                                                                                                        |',                                                                                                                        |
|  65|  '11             1                    1   use warnings;                                                                  |  '11             1                    1   use warnings;                                                                  |
|  66|',                                                                                                                        |',                                                                                                                        |
|  67|  '               1                                                                                                       |  '               1                                                                                                       |
|  68|',                                                                                                                        |',                                                                                                                        |
|  69|  '               1                                                                                                       |  '               1                                                                                                       |
|  70|',                                                                                                                        |',                                                                                                                        |
|  71|  '12                                                                                                                     |  '12                                                                                                                     |
|  72|',                                                                                                                        |',                                                                                                                        |
|  73|  '13             1                        my @x;                                                                         |  '13             1                        my @x;                                                                         |
|  74|',                                                                                                                        |',                                                                                                                        |
|  75|  '14                                                                                                                     |  '14                                                                                                                     |
|  76|',                                                                                                                        |',                                                                                                                        |
|  77|  '15             1                        my $y = 1;                                                                     |  '15             1                        my $y = 1;                                                                     |
|  78|',                                                                                                                        |',                                                                                                                        |
|  79|  '16             1                        my $z = 0;                                                                     |  '16             1                        my $z = 0;                                                                     |
|  80|',                                                                                                                        |',                                                                                                                        |
|  81|  '17                                                                                                                     |  '17                                                                                                                     |
|  82|',                                                                                                                        |',                                                                                                                        |
|  83|  '18             1                        for (0 .. 10) {                                                                |  '18             1                        for (0 .. 10) {                                                                |
|  84|',                                                                                                                        |',                                                                                                                        |
|  85|  '19    ***     11     50                   $y &&                                                                        |  '19    ***     11     50                   $y &&                                                                        |
|  86|',                                                                                                                        |',                                                                                                                        |
|  87|  '20                                          $x[1]++;                                                                   |  '20                                          $x[1]++;                                                                   |
|  88|',                                                                                                                        |',                                                                                                                        |
|  89|  '21                                                                                                                     |  '21                                                                                                                     |
|  90|',                                                                                                                        |',                                                                                                                        |
|  91|  '22    ***     11    100     66            $y &&                                                                        |  '22    ***     11    100     66            $y &&                                                                        |
|  92|',                                                                                                                        |',                                                                                                                        |
|  93|  '23                                          $x[0]++ &&                                                                 |  '23                                          $x[0]++ &&                                                                 |
|  94|',                                                                                                                        |',                                                                                                                        |
|  95|  '24                                          $x[1]++;                                                                   |  '24                                          $x[1]++;                                                                   |
|  96|',                                                                                                                        |',                                                                                                                        |
|  97|  '25                                                                                                                     |  '25                                                                                                                     |
|  98|',                                                                                                                        |',                                                                                                                        |
|  99|  '26    ***     11     50                   $x[2]++                                                                      |  '26    ***     11     50                   $x[2]++                                                                      |
| 100|',                                                                                                                        |',                                                                                                                        |
| 101|  '27                                          if $z;                                                                     |  '27                                          if $z;                                                                     |
| 102|',                                                                                                                        |',                                                                                                                        |
| 103|  '28                                                                                                                     |  '28                                                                                                                     |
| 104|',                                                                                                                        |',                                                                                                                        |
| 105|  '29            11                          for (0 .. 2) {                                                               |  '29            11                          for (0 .. 2) {                                                               |
| 106|',                                                                                                                        |',                                                                                                                        |
| 107|  '30            33                              $x[3]++;                                                                 |  '30            33                              $x[3]++;                                                                 |
| 108|',                                                                                                                        |',                                                                                                                        |
| 109|  '31                                        }                                                                            |  '31                                        }                                                                            |
| 110|',                                                                                                                        |',                                                                                                                        |
| 111|  '32                                                                                                                     |  '32                                                                                                                     |
| 112|',                                                                                                                        |',                                                                                                                        |
| 113|  '33    ***     11     50                   if ($y) {                                                                    |  '33    ***     11     50                   if ($y) {                                                                    |
| 114|',                                                                                                                        |',                                                                                                                        |
| 115|  '34            11                            $x[4]++;                                                                   |  '34            11                            $x[4]++;                                                                   |
| 116|',                                                                                                                        |',                                                                                                                        |
| 117|  '35                                        } else {                                                                     |  '35                                        } else {                                                                     |
| 118|',                                                                                                                        |',                                                                                                                        |
| 119|  '36    ***      0      0                     $y && $x[5]++;                                                             |  '36    ***      0      0                     $y && $x[5]++;                                                             |
| 120|',                                                                                                                        |',                                                                                                                        |
| 121|  '37                                        }                                                                            |  '37                                        }                                                                            |
| 122|',                                                                                                                        |',                                                                                                                        |
| 123|  '38                                                                                                                     |  '38                                                                                                                     |
| 124|',                                                                                                                        |',                                                                                                                        |
| 125|  '39            11                          my $p = $y & $z;                                                             |  '39            11                          my $p = $y & $z;                                                             |
| 126|',                                                                                                                        |',                                                                                                                        |
| 127|  '40                                                                                                                     |  '40                                                                                                                     |
| 128|',                                                                                                                        |',                                                                                                                        |
| 129|  '41    ***     11            33            $p &&= $y;                                                                   |  '41    ***     11            33            $p &&= $y;                                                                   |
| 130|',                                                                                                                        |',                                                                                                                        |
| 131|  '42    ***     11            33            $p &&= $z;                                                                   |  '42    ***     11            33            $p &&= $z;                                                                   |
| 132|',                                                                                                                        |',                                                                                                                        |
| 133|  '43            11                          my $q = 1;                                                                   |  '43            11                          my $q = 1;                                                                   |
| 134|',                                                                                                                        |',                                                                                                                        |
| 135|  '44    ***     11            66            $q &&= $_;                                                                   |  '44    ***     11            66            $q &&= $_;                                                                   |
| 136|',                                                                                                                        |',                                                                                                                        |
| 137|  '45                                                                                                                     |  '45                                                                                                                     |
| 138|',                                                                                                                        |',                                                                                                                        |
| 139|  '46            11                          pas();                                                                       |  '46            11                          pas();                                                                       |
| 140|',                                                                                                                        |',                                                                                                                        |
| 141|  '47                                      }                                                                              |  '47                                      }                                                                              |
| 142|',                                                                                                                        |',                                                                                                                        |
| 143|  '48                                                                                                                     |  '48                                                                                                                     |
| 144|',                                                                                                                        |',                                                                                                                        |
| 145|  '49                                      sub pas {                                                                      |  '49                                      sub pas {                                                                      |
| 146|',                                                                                                                        |',                                                                                                                        |
| 147|  '50    ***     11     50            11       $y && $z                                                                   |  '50    ***     11     50            11       $y && $z                                                                   |
| 148|',                                                                                                                        |',                                                                                                                        |
| 149|  '51                                      }                                                                              |  '51                                      }                                                                              |
| 150|',                                                                                                                        |',                                                                                                                        |
| 151|  '52                                                                                                                     |  '52                                                                                                                     |
| 152|',                                                                                                                        |',                                                                                                                        |
* 153|  '53    ***      0                        # print join(", ", @x), "\\n";                                                 |  '53                                      # print join(", ", @x), "\\n";                                                 *
| 154|',                                                                                                                        |',                                                                                                                        |
| 155|  '                                                                                                                       |  '                                                                                                                       |
| 156|',                                                                                                                        |',                                                                                                                        |
| 157|  '                                                                                                                       |  '                                                                                                                       |
| 158|',                                                                                                                        |',                                                                                                                        |
| 159|  'Branches                                                                                                               |  'Branches                                                                                                               |
| 160|',                                                                                                                        |',                                                                                                                        |
| 161|  '-                                                                                                                      |  '-                                                                                                                      |
| 162|',                                                                                                                        |',                                                                                                                        |
| 163|  '                                                                                                                       |  '                                                                                                                       |
| 164|',                                                                                                                        |',                                                                                                                        |
| 165|  'line  err      %   true  false   branch                                                                                |  'line  err      %   true  false   branch                                                                                |
| 166|',                                                                                                                        |',                                                                                                                        |
| 167|  '- --- ------ ------ ------   ------                                                                                    |  '- --- ------ ------ ------   ------                                                                                    |
| 168|',                                                                                                                        |',                                                                                                                        |
| 169|  '19    ***     50     11      0   if $y                                                                                 |  '19    ***     50     11      0   if $y                                                                                 |
| 170|',                                                                                                                        |',                                                                                                                        |
| 171|  '22           100     10      1   if $y and $x[0]++                                                                     |  '22           100     10      1   if $y and $x[0]++                                                                     |
| 172|',                                                                                                                        |',                                                                                                                        |
| 173|  '26    ***     50      0     11   if $z                                                                                 |  '26    ***     50      0     11   if $z                                                                                 |
| 174|',                                                                                                                        |',                                                                                                                        |
| 175|  '33    ***     50     11      0   if ($y) { }                                                                           |  '33    ***     50     11      0   if ($y) { }                                                                           |
| 176|',                                                                                                                        |',                                                                                                                        |
| 177|  '36    ***      0      0      0   if $y                                                                                 |  '36    ***      0      0      0   if $y                                                                                 |
| 178|',                                                                                                                        |',                                                                                                                        |
| 179|  '50    ***     50     11      0   if $y                                                                                 |  '50    ***     50     11      0   if $y                                                                                 |
| 180|',                                                                                                                        |',                                                                                                                        |
| 181|  '                                                                                                                       |  '                                                                                                                       |
| 182|',                                                                                                                        |',                                                                                                                        |
| 183|  '                                                                                                                       |  '                                                                                                                       |
| 184|',                                                                                                                        |',                                                                                                                        |
| 185|  'Conditions                                                                                                             |  'Conditions                                                                                                             |
| 186|',                                                                                                                        |',                                                                                                                        |
| 187|  '-                                                                                                                      |  '-                                                                                                                      |
| 188|',                                                                                                                        |',                                                                                                                        |
| 189|  '                                                                                                                       |  '                                                                                                                       |
| 190|',                                                                                                                        |',                                                                                                                        |
| 191|  'and 3 conditions                                                                                                       |  'and 3 conditions                                                                                                       |
| 192|',                                                                                                                        |',                                                                                                                        |
| 193|  '                                                                                                                       |  '                                                                                                                       |
| 194|',                                                                                                                        |',                                                                                                                        |
| 195|  'line  err      %     !l  l&&!r   l&&r   expr                                                                           |  'line  err      %     !l  l&&!r   l&&r   expr                                                                           |
| 196|',                                                                                                                        |',                                                                                                                        |
| 197|  '- --- ------ ------ ------ ------   ----                                                                               |  '- --- ------ ------ ------ ------   ----                                                                               |
| 198|',                                                                                                                        |',                                                                                                                        |
| 199|  '22    ***     66      0      1     10   $y and $x[0]++                                                                 |  '22    ***     66      0      1     10   $y and $x[0]++                                                                 |
| 200|',                                                                                                                        |',                                                                                                                        |
| 201|  '41    ***     33     11      0      0   $p &&= $y                                                                      |  '41    ***     33     11      0      0   $p &&= $y                                                                      |
| 202|',                                                                                                                        |',                                                                                                                        |
| 203|  '42    ***     33     11      0      0   $p &&= $z                                                                      |  '42    ***     33     11      0      0   $p &&= $z                                                                      |
| 204|',                                                                                                                        |',                                                                                                                        |
| 205|  '44    ***     66      0      1     10   $q &&= $_                                                                      |  '44    ***     66      0      1     10   $q &&= $_                                                                      |
| 206|',                                                                                                                        |',                                                                                                                        |
| 207|  '                                                                                                                       |  '                                                                                                                       |
| 208|',                                                                                                                        |',                                                                                                                        |
| 209|  '                                                                                                                       |  '                                                                                                                       |
| 210|',                                                                                                                        |',                                                                                                                        |
| 211|  'Covered Subroutines                                                                                                    |  'Covered Subroutines                                                                                                    |
| 212|',                                                                                                                        |',                                                                                                                        |
| 213|  '-                                                                                                                      |  '-                                                                                                                      |
| 214|',                                                                                                                        |',                                                                                                                        |
| 215|  '                                                                                                                       |  '                                                                                                                       |
| 216|',                                                                                                                        |',                                                                                                                        |
| 217|  'Subroutine Count Location                                                                                              |  'Subroutine Count Location                                                                                              |
| 218|',                                                                                                                        |',                                                                                                                        |
| 219|  '- ----- -----------------                                                                                              |  '- ----- -----------------                                                                                              |
| 220|',                                                                                                                        |',                                                                                                                        |
| 221|  'BEGIN          1 tests/cond_and:10                                                                                     |  'BEGIN          1 tests/cond_and:10                                                                                     |
| 222|',                                                                                                                        |',                                                                                                                        |
| 223|  'BEGIN          1 tests/cond_and:11                                                                                     |  'BEGIN          1 tests/cond_and:11                                                                                     |
| 224|',                                                                                                                        |',                                                                                                                        |
| 225|  'pas           11 tests/cond_and:50                                                                                     |  'pas           11 tests/cond_and:50                                                                                     |
| 226|',                                                                                                                        |',                                                                                                                        |
| 227|  '                                                                                                                       |  '                                                                                                                       |
| 228|',                                                                                                                        |',                                                                                                                        |
| 229|  '                                                                                                                       |  '                                                                                                                       |
| 230|'                                                                                                                         |'                                                                                                                         |
| 231|]                                                                                                                         |]                                                                                                                         |
+----+--------------------------------------------------------------------------------------------------------------------------+--------------------------------------------------------------------------------------------------------------------------+
 (/builddir/build/BUILD/Devel-Cover-1.18/blib/lib/Devel/Cover/Test.pm at line 312)
#   Expected: No differences (output)
#  /builddir/build/BUILD/Devel-Cover-1.18/blib/lib/Devel/Cover/Test.pm line 312 is:         $self->{no_coverage} ? Test::ok 1 : eq_or_diff(\@at, \@ac, "output");
t/e2e/acond_and.t ........... 
Failed 1/1 subtests 

etc.

Comment 1 Jitka Plesnikova 2015-06-12 14:36:48 UTC
Created attachment 1038090 [details]
Build log against Perl 5.22

Comment 2 Tom "spot" Callaway 2015-06-16 19:04:36 UTC
https://github.com/pjcj/Devel--Cover/issues/126


Note You need to log in before you can comment on or make changes to this bug.